package com.byteslounge.servlet;

import java.io.IOException;

import javax.ejb.EJB;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.byteslounge.ejb.TransactionalService;
import com.byteslounge.entity.TableOne;
import com.byteslounge.entity.TableTwo;

@WebServlet(name = "testingServlet", urlPatterns = { "/testing" })
public class TestingServlet extends HttpServlet {

	private static final long serialVersionUID = 1L;

	@EJB
	private TransactionalService transactionalService;

	@Override
	protected void doGet(HttpServletRequest request,
			HttpServletResponse response) throws ServletException, IOException {

		TableOne tableOne = new TableOne();
		tableOne.setValue("value1");

		TableTwo tableTwo = new TableTwo();
		tableTwo.setValue("value2");

		try {
			transactionalService.save(tableOne, tableTwo);
		} catch (Exception e) {
			e.printStackTrace();
		}

	}
}
