package com.byteslounge.ejb;

import javax.ejb.EJB;
import javax.ejb.Stateless;

import com.byteslounge.entity.TableOne;
import com.byteslounge.entity.TableTwo;

@Stateless
public class TransactionalServiceBean implements TransactionalService {

	@EJB
	private ServiceOne serviceOne;

	@EJB
	private ServiceTwo serviceTwo;

	@Override
	public void save(TableOne tableOne, TableTwo tableTwo) {
		serviceOne.save(tableOne);
		serviceTwo.save(tableTwo);
	}
}
